# std::get_unexpected

From cppreference.com
< cpp‎ | error

Defined in header `<exception>` |  |
std::unexpected_handler get_unexpected(); |  | (until C++17) (since c++11, deprecated in C++11)

Returns the currently installed std::unexpected_handler, which may be a null pointer.

This function is thread-safe. Prior call to `std::set_unexpected` synchronizes-with (see std::memory_order) the subsequent calls to this function. | (since C++11)

### Parameters

(none)

### Return value

The currently installed std::unexpected_handler.

### Exceptions

`noexcept` specification:
noexcept

### See also

unexpected_handler (until C++17) | the type of the function called by std::unexpected (typedef)
set_unexpected (until C++17) | changes the function to be called by std::unexpected (function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/get_unexpected&oldid=91460"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template